---
updatedAt: 2025-05-27T23:49:56.000Z
agentTools:
  projectIndex: https://developer.corrigo.com/llms.txt
---

# Data Formats

## Message format

<HTMLBlock>{`
<div>
<ul>
  <li>All messages are in <a href="https://en.wikipedia.org/wiki/JSON">JSON</a> format.</li>
  <li>A unique MessageId is sent with all messages. The message ID identifies every response returned from Customer side. For generate unique value from customer we use GUID type. MessageId can help with troubleshooting and repeated requests.</li>
  <li>All Entities, Fields and request params have <a href="https://en.wikipedia.org/wiki/Camel_case">PascalCase</a> (upper camel case) format.</li>
  <li>All enumeration values are sent in string representation.</li>
  </ul>
</div>
`}</HTMLBlock>

## Data types and formats

<HTMLBlock>{`
<div>
<ul>
  <li><b>DateTime</b> values for both request and response models should be in UTC format 
    <a href="https://datatracker.ietf.org/doc/html/rfc3339">RFC3339</a>. Example: 2000-02-30T23:20:50.52</li>
  <li><b>Enumerations</b> should be represented as string literals.</li>
  <li><b>Floating-point numbers</b> should use ‘.’ as decimal mark and without any delimiter of thousands. Example: 34823.14159265</li>
  </ul>


</div>
`}</HTMLBlock>

## Optional parameters

<HTMLBlock>{`
<div>
<ul>
  <li>Optional <b>String</b> values for both request and response models which contain no data may be represented by either a empty string ("") or null*.</li>
  <li>Optional data objects for requests and response models that contain no data may be represented as <i>null</i>. </li>
  </ul>
</div>
`}</HTMLBlock>